From 43384523815fcb562d466871e1fcab40bc203a56 Mon Sep 17 00:00:00 2001
From: Junwang Zhao <zhjwpku@gmail.com>
Date: Sat, 1 Oct 2022 22:44:35 +0800
Subject: [PATCH v1] [meson] fix some typo to make it more readable

---
 src/backend/meson.build | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

diff --git a/src/backend/meson.build b/src/backend/meson.build
index fefa40ddb6..697e01ebdc 100644
--- a/src/backend/meson.build
+++ b/src/backend/meson.build
@@ -113,8 +113,7 @@ backend_objs = [postgres_lib.extract_all_objects(recursive: false)]
 # at least on FreeBSD and Solaris we have to.
 #
 # XXX: The reason we don't use the objects for generated sources is that
-# hits a meson bug. Luckily we don't don't have probes in generated
-# sources...
+# hits a meson bug. Luckily we don't have probes in generated sources...
 if dtrace.found() and host_system != 'darwin'
   backend_input += custom_target(
     'probes.o',
@@ -148,7 +147,7 @@ pg_mod_link_depend = []
 # or a [import] library derived from it. Set up the link flags for that.
 if mod_link_args_fmt.length() > 0
   # To avoid unnecessary build-time dependencies on other operating systems,
-  # only the dependency when it when necessary.
+  # only add the dependency when necessary.
   pg_mod_link_depend += postgres
 
   name = mod_link_with_name.format('postgres')
-- 
2.33.0

